package com.example.javancss;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


public class MetricsStatistics implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private List<Snapshot> snapshots = new ArrayList<Snapshot>();
	
	public List<Snapshot> getSnapshots() {
		return snapshots;
	}

	public void setSnapshots(List<Snapshot> snapshots) {
		this.snapshots = snapshots;
	}

	public static class Snapshot implements Serializable {
		
		private static final long serialVersionUID = 1L;

		private Long buildId;
		
		private String buildVersion;
		
		private Metrics metrics;

		public Long getBuildId() {
			return buildId;
		}

		public void setBuildId(Long buildId) {
			this.buildId = buildId;
		}

		public String getBuildVersion() {
			return buildVersion;
		}

		public void setBuildVersion(String buildVersion) {
			this.buildVersion = buildVersion;
		}

		public Metrics getMetrics() {
			return metrics;
		}

		public void setMetrics(Metrics metrics) {
			this.metrics = metrics;
		}
		
	}
}
